﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics45.WebUI.UltraWebChart.v19.2, Version=19.2.20192.28, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.WebUI.UltraWebChart" TagPrefix="igchart" %>
<%@ Register Assembly="Infragistics45.WebUI.UltraWebChart.v19.2, Version=19.2.20192.28, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.UltraChart.Resources.Appearance" TagPrefix="igchartprop" %>
<%@ Register Assembly="Infragistics45.WebUI.UltraWebChart.v19.2, Version=19.2.20192.28, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.UltraChart.Data" TagPrefix="igchartdata" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style>
        .chart {
            width: 600px;
            height: 600px;
            overflow: auto;
        }
    </style>
</head>
<body>
    <form id="form" runat="server">
        <div class="chart">
            <igchart:UltraChart
                ID="UltraChart"
                runat="server"
                ChartType="GanttChart"
                DataSourceID="SqlDataSource"
                Width="1400"
                Height="500"
                EnableScrollBar="true"
                GanttChart-SeriesSpacing="2">
                <Axis>
                    <X Visible="True" TickmarkInterval="400" Extent="80" TickmarkIntervalType="Hours" TickmarkStyle="Smart">
                        <MajorGridLines Visible="True"></MajorGridLines>
                        <MinorGridLines Visible="False"></MinorGridLines>
                        <Labels
                            Visible="True"
                            ItemFormatString="&lt;ITEM_LABEL:dd MMMM&gt;"
                            Orientation="VerticalLeftFacing"
                            Font="Verdana, 7pt">
                        </Labels>
                    </X>
                    <X2 Visible="true"></X2>

                    <Y Visible="True" Extent="200">
                        <MajorGridLines Visible="True"></MajorGridLines>
                        <MinorGridLines Visible="False"></MinorGridLines>
                        <Labels
                            ItemFormatString="&lt;ITEM_LABEL&gt;"
                            Visible="True"
                            Font="Verdana, 7pt"
                            SeriesLabels-Font="Verdana, 8pt">
                        </Labels>
                    </Y>
                    <Y2 Visible="true">
                        <Labels Visible="True" SeriesLabels-Visible="false">
                        </Labels>
                    </Y2>
                </Axis>
            </igchart:UltraChart>
            <asp:SqlDataSource
                ID="SqlDataSource"
                runat="server"
                ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
                ProviderName="<%$ ConnectionStrings:ConnectionString.ProviderName %>"
                SelectCommand="SELECT * FROM [GanttData]"></asp:SqlDataSource>
        </div>
    </form>
</body>
</html>